// Finalização do Pedido

// Evento ao voltar a página
document.addEventListener("prepop", function(event) {
	
	// Captura o nome da página
	var page = myNavigator.topPage.name;
	
	// Verifica se está na página finalizar pedido
	if(page == "html/finalizar_pedido.html"){	
		
		if(sessionStorage.getItem("pop_destroi_fin") == 1){
		
			event.cancel();
	
			// Apaga todas as páginas anteriores e volta para a página do restaurante
			for(var a = 0; a < parseInt(sessionStorage.getItem("finalizacao_classe")); a++){
					myNavigator.pages[1]._destroy();
					console.log('apagou');
			}						
			
			// Seta o "pop destroi" como realizado, não permitindo efetua-lo de novo até que um novo produto seja aberto
			sessionStorage.setItem("pop_destroi_fin", "2");
			
			myNavigator.popPage({animation: 'lift'});
		
		}		
		
		/* FUNÇÃO PARA FUNCIONAMENTO DO VOLTAR ETAPA POR ETAPA
		var etapa = parseInt(myNavigator.topPage.pushedOptions.etapa)-1;

		if(etapa >= 1){
			sessionStorage.setItem("finalizacao_pop", 2);
		}
		
		// Quando acionado a seta voltar, desconta um (1) do eq etapas_classe
		sessionStorage.setItem("finalizacao_classe", parseInt(sessionStorage.getItem("finalizacao_classe"))-2);
	
		// Se a etapa for seleção de endereço
		if(etapa == 2){
			
			// Verifica se o usuário irá retirar no estabelecimento (2) ou receber em seu endereço (1)
			var vai_retirar = '';
			$('ons-input.finalizar_retirada[type=radio]').each(function () {								
				
				if(this.checked == true){
					vai_retirar = $(this).val();
				}
				
			});
			
			// Se a opção marcada anteriormente for receber em seu endereço, executa a remoção da taxa de entrega
			if(vai_retirar == 1){	
				
				var taxa   = parseFloat(sessionStorage.getItem("valor_pedido_taxa"));
				var pedido = parseFloat(sessionStorage.getItem("valor_pedido"));
				var total = parseFloat(pedido-taxa);
				
				sessionStorage.setItem("valor_pedido", total);
			
			}
		}
		
		// Se a etapa for Voucher
		if(etapa == 3){
			
			if(sessionStorage.getItem("voucher_cod") != ''){
			
				sessionStorage.setItem("voucher_cod", "");
	
				var desc   = parseFloat(sessionStorage.getItem("valor_pedido_desc"));
				var pedido = parseFloat(sessionStorage.getItem("valor_pedido"));
				var total  = parseFloat(pedido+desc);			
				
				sessionStorage.setItem("valor_pedido", total);	
			
			}
		}
		*/
		
	}
	
});

/****************** VALIDAÇÃO LOGADO/PEDIDO/ ******************/

function ValidarFinalizacao(valor_pedido){

	var valor_pedido = valor_pedido;
	
	sessionStorage.setItem("valor_pedido", valor_pedido);

	// Se o usuário estiver logado (Sucesso)
	if(localStorage.getItem("app_usuario_id") != null){
			
		// Busca as configurações da finalização do pedido
		$.ajax({
			type: "POST",
			url: URL_WEB_SERVICE+"app/pedido/Finalizar.php?funcao=ValidacaoPedido",
			data: {
				clientes_id: sessionStorage.getItem("clientes_id")
			},			
			success: function(data) {		
				
				var status = data.status;
				var pedido_minimo = data.pedido_minimo;
				
				// Estabelecimento aberto (Sucesso)
				if(status == 2){
	
					// Valor do pedido maior ou igual ao pedido mínimo (Sucesso)
					if(valor_pedido >= parseFloat(pedido_minimo)){
					
						// Chamar finalização
						myNavigator.pushPage('html/finalizar_pedido.html', {animation: 'lift'});										
					
					// Pedido mínimo maior que o valor do pedido (Falha)
					}else{
						
						var valor_minimo = parseFloat(pedido_minimo).toFixed(2);
						
						// Alerta
						navigator.notification.alert(
							'Para prosseguir, seu pedido deve atingir o valor mínimo de R$ '+valor_minimo,
							null,
							'Ops!',
							'OK'
						);					
					
					}
				
				// Estabelecimento fechado (Falha)
				}else{
				
					// Alerta
					navigator.notification.alert(
						'Desculpe, no momento este estabelecimento encontra-se fechado.',
						null,
						'Ops!',
						'OK'
					);						
				
				}
				
			}			
		});
	
	// Se o usuário não estiver logado (Falha)
	}else{
	
	navigator.notification.confirm(
		'Você precisa estar logado para finalizar seu pedido. Deseja acessar sua conta agora?',
		 FinalizarLogin,
		'Ops!',
		['Sim','Não']
	);		
		
	function FinalizarLogin(buttonIndex){
		var confirmacao = buttonIndex;

		// Se o botão sim for pressionado
		if(confirmacao == 1){
			// Redireciona para a tela de login
			myNavigator.pushPage('html/logar.html', {animation: 'slide'});
			sessionStorage.setItem("finalizacao_logar", 2);
		}
	}			
	
	}
	
}
/****************** FINALIZAÇÃO DO PEDIDO ******************/

function FinalizarPedido(){
		
	var etapa = myNavigator.topPage.pushedOptions.etapa;	

	/********* Criando o "eq" que receberá as etapas na tela. Um contador de etapas que foram
	avançadas, para que as informações da etapa sejam setadas na classe da respectiva tela ****/	

	// Se a etapa for maior que zero, adiciona um ao contador eq de etapas_classe
	if(etapa == null){
		sessionStorage.setItem("finalizacao_classe", 0);			
		sessionStorage.setItem("voucher_cod", "");				
	}else{		
		sessionStorage.setItem("finalizacao_classe", parseInt(sessionStorage.getItem("finalizacao_classe"))+1);
	}

	/***** / Criando "eq" *****/	
	
	// Seta o "pop destroi" como não realizado, permitindo efetua-lo ao voltar
	sessionStorage.setItem("pop_destroi_fin", "1");	
	
	// Verifica se a função não está sendo chamada pelo pop page, para nao recarregar os itens
	if(sessionStorage.getItem("finalizacao_pop") == 1 || sessionStorage.getItem("finalizacao_pop") == '' || sessionStorage.getItem("finalizacao_pop") == null){
	
		/* Verifica se a etapa não é vazia e chama as etapas de finalização,
		caso contrário, consulta as configurações de finalização do pedido */
		if(etapa != null){
			FinalizarEtapas();
		}else{
		
			// Busca as configurações da finalização do pedido
			$.ajax({
				type: "POST",
				url: URL_WEB_SERVICE+"app/pedido/Finalizar.php?funcao=Configuracoes",
				data: {
					clientes_id		: sessionStorage.getItem("clientes_id"),
					usuario_sessao	: sessionStorage.getItem("usuario_sessao")
				},			
				success: function(data) {		
					
					// Entrega no endereço do cliente
					sessionStorage.setItem("entrega", data.entrega);
					// Retirada no estabelecimento
					sessionStorage.setItem("retirada", data.retirada);
					// Voucher
					sessionStorage.setItem("voucher", data.voucher);
	
					// Chama as etapas de finalização
					FinalizarEtapas();
					
				}
			});	
		
		}
	
	}
	
	sessionStorage.setItem("finalizacao_pop", 1);
	
}

/****************** Captura do Troco ******************/

// Perguntar se precisa de troco
function FinalizarPgDinheiro(opcao){			
	if(opcao == 0){
		navigator.notification.confirm(
			'Precisa de troco?',
			 DigitarTroco,
			localStorage.getItem("app_usuario_nome")+',',
			['Sim','Não']
		);		
	}else{
		$("#pgto_troco").html("");
	}
}

// Digitar o valor
function DigitarTroco(buttonIndex){
	
	var confirmacao = buttonIndex;
	
	if(confirmacao == 1){	
		navigator.notification.prompt(
			'Troco para quanto?',
			AoDigitarTroco,
			'Troco',
			['Confirmar','Cancelar'],
			''
		);
	}else{
		$("#pgto_troco").html("");
	}
	
}

// Ao digitar o troco
function AoDigitarTroco(results) {
	var confirmacao = results.buttonIndex;
	var valor_digitado = results.input1.replace(".",",");
	var valor = parseInt(valor_digitado.replace(/,.*|\D+/g,''));
	
	if(isNaN(valor) == false){
	
		if(confirmacao == 1){
			
			// Seta o valor abaixo da forma de pagamento Dinheiro
			$("#pgto_troco").html("Troco para: R$ "+valor.toFixed(2).replace(".",","));
			sessionStorage.setItem("finalizar_troco", valor);
		
		}else{
			$("#pgto_troco").html("");
		}
	
	}else{
		
		$("#pgto_troco").html("");
		
	}
}
	
/****************** Verifica a opção marcada na etapa retirada ******************/

function VerificarRetirada(){

	var retirada = '';
	$('ons-input.finalizar_retirada[type=radio]').each(function () {								
		
		if(this.checked == true){
			retirada = $(this).val();
		}
		
	});

	// Se a opção marcada for retirar no endereço, chama a etapa de selação de endereço
	if(retirada == 1){
		
		$("#finalizar-pedidoo .app_loading").show();
		
		$.ajax({
			type: "POST",
			url: URL_WEB_SERVICE+"app/pedido/Finalizar.php?funcao=TotalEnderecos",
			data: {
				clientes_id : sessionStorage.getItem("clientes_id"),
				usuario_id  : localStorage.getItem("app_usuario_id")
			},			
			success: function(data) {		
	
				$("#finalizar-pedido .app_loading").hide();
				
				var total_enderecos = data.total_enderecos;
				
				// Se existir um ou mais endereços cadastrados (Sucesso)
				if(total_enderecos > 0){
				
					// Chama a etapa de seleção de endereço
					myNavigator.pushPage('html/finalizar_pedido.html', {etapa: 2});
				
				// Se não houver endereços cadastrados (Falha)
				}else{
					
					// Alerta					
					navigator.notification.confirm(
						'Você ainda não cadastrou um endereço no qual este estabelecimento atenda. Deseja cadastrar agora?',
						 FinalizarCadEndereco,
						'Ops!',
						['Sim','Não']
					);		
		
					function FinalizarCadEndereco(buttonIndex){
						var confirmacao = buttonIndex;
				
						// Se o botão sim for pressionado
						if(confirmacao == 1){
							// Redireciona para a tela de cadastro de endereço
							myNavigator.pushPage('html/usuario-novo-endereco.html', {animation: 'slide'});
						}
					}									
					
				}
				
			}
		});				
		
	}else{
		
		if(sessionStorage.getItem("voucher") == 2){
			myNavigator.pushPage('html/finalizar_pedido.html', {etapa: 3}); // Chama etapa Voucher
		}else{
			myNavigator.pushPage('html/finalizar_pedido.html', {etapa: 4}); // Chama etapa Formas de Pagamento
		}
		
	}
	
}


/****************** Validar endereço selecionado ******************/

function ValidarEndereco(endereco_etapa){
	
	var endereco_sel = 0;
	
	// Captura o endereço selecionado
	$('ons-input.finalizar_endereco[type=radio]').each(function () {								
		
		if(this.checked == true){
			endereco_sel++;
		}
		
	});		
	
	// Se existir um endereço selecionado
	if(endereco_sel == 1){
		
		var taxa   = parseFloat(sessionStorage.getItem("valor_pedido_taxa"));
		var pedido = parseFloat(sessionStorage.getItem("valor_pedido"));
		var total = parseFloat(taxa+pedido);
		
		sessionStorage.setItem("valor_pedido", total);
		
		myNavigator.pushPage('html/finalizar_pedido.html', {etapa: endereco_etapa});
	
	}else{
	
		navigator.notification.alert(
			'Você precisa selecionar um endereço para prosseguir.',
			null,
			'Ops!',
			'OK'
		);			
	
	}
}

/****************** Adicionar taxa endereço selecionado ******************/

function EnderecosAddTaxa(taxa){
	
	var taxa   = taxa;
	var pedido = parseFloat(sessionStorage.getItem("valor_pedido"));
	var total = parseFloat(taxa+pedido).toFixed(2).replace(".",",");
	sessionStorage.setItem("valor_pedido_taxa", taxa);
	$('.pedido_valor').eq(parseInt(sessionStorage.getItem('finalizacao_classe'))+1).html("R$ "+ total);
	
}

/****************** Efetua a validação do Voucher ******************/

function ValidarVoucher(){

	$("#finalizar-pedido .app_loading").show();
	
	var voucher = $("#finalizar_voucher").val();
	
	$.ajax({
		type: "POST",
		url: URL_WEB_SERVICE+"app/pedido/Finalizar.php?funcao=ValidarVoucher",
		data: {
			codigo      : voucher,
			clientes_id : sessionStorage.getItem("clientes_id"),
			usuario_id  : localStorage.getItem("app_usuario_id")
		},			
		success: function(data) {		

			if(data.sucesso == 2){

				$("#finalizar_voucher").hide();
				$("#botao_voucher").hide();
				
				$("#voucher_listagem").show();
				$("#voucher_listagem").html(voucher+" ( - "+data.valor_exibir+" )");
				$("#botao_voucher_rem").show();
				
				// Define o código do voucher a ser utlizado no envio do pedido
				sessionStorage.setItem("voucher_cod", voucher);
				
				var desc = 0;
				var pedido = parseFloat(sessionStorage.getItem("valor_pedido"));
				var pedido_desc = 0;
				
				if(data.tipo == 1){
					desc = parseFloat(data.valor);
				}
				if(data.tipo == 2){					
					pedido_desc = parseFloat(pedido*data.valor);
					desc =  parseFloat(pedido_desc / 100);
				}
				
				var total = parseFloat(pedido-desc);										
				
				// Seta o valor do pedido na etapa atual
				$('.pedido_valor').eq(parseInt(sessionStorage.getItem('finalizacao_classe'))+1).html("R$ "+ total.toFixed(2).replace(".",","));
				
				// Define o valor do desconto do pedido
				sessionStorage.setItem("valor_pedido_desc", desc);			
				
			}
			if(data.sucesso == 1){
				navigator.notification.alert(
					'Cupom inexistente ou inválido! Tente novamente por favor.',
					null,
					'Ops!',
					'OK'
				);
				sessionStorage.setItem("valor_pedido_desc", 0);	
			}
			
			$("#finalizar-pedido .app_loading").hide();
			
		}
	});	
	
}

function DescontarVoucher(){

	var pedido_voucher = parseFloat(sessionStorage.getItem("valor_pedido"));
	var voucher_desc   = parseFloat(sessionStorage.getItem("valor_pedido_desc"));
	var total_voucher  = parseFloat(pedido_voucher-voucher_desc);
	
	sessionStorage.setItem("valor_pedido", total_voucher);			
			
}

function RemoverVoucher(){
	
	$("#finalizar-pedido .app_loading").show();
	
	// Define o código do voucher a ser usado posteriormente como em branco
	sessionStorage.setItem("voucher_cod", "");
	
	// Exibe a caixa e o botão para inclusão de voucher
	$("#finalizar_voucher").show();
	$("#botao_voucher").show();
	
	// Define o valor atual do pedido
	var pedido = parseFloat(sessionStorage.getItem("valor_pedido"));
	
	// Seta o valor do pedido na etapa atual
	$('.pedido_valor').eq(parseInt(sessionStorage.getItem('finalizacao_classe'))+1).html("R$ "+ pedido.toFixed(2).replace(".",","));	
				
	// Oculta o voucher listado e o botão de remoção
	$("#voucher_listagem").hide();	
	$("#botao_voucher_rem").hide();
	
	$("#finalizar-pedido .app_loading").hide();
	
}

/****************** Validar forma de pagamento selecionada ******************/
 
function ValidarPg(){
	
	var forma_pg = 0;
		
	// Captura a forma de pagamento selecionado
	$('ons-input.finalizar_pagamento[type=radio]').each(function () {										
		if(this.checked == true){
			forma_pg++;
		}		
	});		
	
	// Se existir uma forma de pagamento selecionada
	if(forma_pg == 1){	
		myNavigator.pushPage('html/finalizar_pedido.html', {etapa: 5});	
	}else{	
		navigator.notification.alert(
			'Você precisa selecionar uma forma de pagamento para prosseguir.',
			null,
			'Ops!',
			'OK'
		);				
	}
	
}


/****************** Enviar o pedido para o estabelecimento ******************/

function EnviarPedido(){
	
	$("#finalizar-pedido .app_loading").show();
	
	var retirada  	= '';
	var endereco  	= '';
	var pagamento 	= '';
	var voucher   	= '';
	var observacoes = '';
	
	// Captura a etapa Retirada
	$('ons-input.finalizar_retirada[type=radio]').each(function () {								
		
		if(this.checked == true){
			retirada = $(this).val();
		}
		
		// Se a opção marcada for retirar no endereço, captura o endereço selecionado
		if(retirada == 1){
			
			// Captura o endereço selecionado
			$('ons-input.finalizar_endereco[type=radio]').each(function () {								
				
				if(this.checked == true){
					endereco = $(this).val();
				}
				
			});		
		}		
		
	});
	
	var troco = null;
	// Captura a Forma de Pagamento
	$('ons-input.finalizar_pagamento[type=radio]').each(function () {								
		
		if(this.checked == true){
			pagamento = $(this).val();
		}
		
		// Se a forma de pagamento for dinheiro, captura o troco
		if(pagamento == 1){
			troco = sessionStorage.getItem("finalizar_troco");
		}
		
	});
	
	// Captura as observações	
	observacoes = $("#finalizar_obs").val();
	
	// Captura a plataforma do usuário ( iOS, Android,... )
	// +QCC apenas para aplicativo da plataforma
	var plataforma = device.platform+"QCC";
	
	// Envia o pedido para o estabelecimento
	$.ajax({
		type: "POST",
		url: URL_WEB_SERVICE+"app/pedido/Finalizar.php?funcao=EnviarPedido",
		data: {
			clientes_id : sessionStorage.getItem("clientes_id"),
			usuario_id  : localStorage.getItem("app_usuario_id"),
			usuario_ss  : sessionStorage.getItem("usuario_sessao"),
			retirada    : retirada,
			endereco    : endereco,
			voucher     : sessionStorage.getItem("voucher_cod"),
			pagamento   : pagamento,
			pgto_troco	: troco,
			observacoes : observacoes,
			plataforma  : plataforma
		},			
		success: function(data) {		
			
			var pedidos_id    = data.pedidos_id;
			var usuario_nome  = data.usuario_nome;
			var usuario_email = data.usuario_email;
			var cliente_tel   = data.cliente_tel;
			var cliente_url   = data.cliente_url;
			
			// Disparo do pedido via e-mail
			$.ajax({
				type: "POST",
				url: URL_WEB_SERVICE+"app/pedido/Consulta.php?funcao=ConsultarPedido",
				data: {
					pedidos_id  : pedidos_id,
					clientes_id : sessionStorage.getItem("clientes_id")
				},
				success: function(data) {
					
					var pedido = data;
					
					/* Envia e-mail para pedido finalizado */
					$.ajax({
						type: "POST",
						url: URL_WEB_SERVICE+"emails/FrontEnd_NovoPedido.php",
						data: {
							nome     	: usuario_nome,
							email    	: usuario_email,
							pedido    	: pedido,
							telefones  	: cliente_tel,
							url_cliente	: cliente_url
						},
						success: function(data) {																																	
						}
					});																																	
					
				}
			});			
			
			$("#finalizar-pedido .app_loading").hide();
			/*
			navigator.notification.alert(
				'(Esta tela será redirecionada para uma tela de confirmação de pedido em nova versão.) Seu pedido foi enviado com sucesso!',
				null,
				'Parabéns!',
				'OK'
			);
			*/
			
			// Seta o "pop destroi" como realizado, não permitindo efetua-lo de novo até que um novo produto seja aberto
			sessionStorage.setItem("pop_destroi_fin", "2");
			
			for(var a = 0; a < parseInt(sessionStorage.getItem("finalizacao_classe"))/*+1*/; a++){
				myNavigator.pages[1]._destroy();	
			}
			
			// Envia de volta para a página principal
			myNavigator.popPage({animation: 'lift'});
			$("#tab_conf_btn_android").click();
			$("#tab_conf_btn_iphone").click();
			myTabbar.setActiveTab(3);
			//myNavigator.pushPage("html/tela-confirmacao.html");
			
			//Define o finalizacao_pop ao enviar o pedido
			sessionStorage.setItem("finalizacao_pop", 1);						
			
			// Limpa os dados do pedido temporário
			sessionStorage.removeItem("usuario_sessao");
															
			
		},
		error: function() {
			FalhaConexao('enviar-pedido');		
		}
	});	
}

/****************** Etapas de Finalização ******************/

function FinalizarEtapas(){
	
	// 0 = Retirada ou Entrega no Endereço
	// 1 = Captura a opção marcada na retirada e chama a próxima etapa
	// 2 = Seleção de Endereço
	// 3 = Voucher
	// 4 = Formas de Pagamento
	// 5 = Observações
	
	var etapa = myNavigator.topPage.pushedOptions.etapa;
		
	// ETAPA: Retirada ou Entrega do Pedido
	if(etapa == null){

		var etapa_retirada = '';
		
		etapa_retirada += '<span class="finalizar_instrucao">Você gostaria de retirar o seu pedido ou recebê-lo em seu endereço?</span>';
		
		// Se a entrega estiver habilitada
		if(sessionStorage.getItem("entrega") == 2){
		
			etapa_retirada += '<ons-list-item class="cardapio-listagem cardapio-listagem-finalizacao" tappable><table  width="100%" border="0" cellpadding="0" cellspacing="0"><tbody>';																			
			etapa_retirada += '<tr><td width="30"><ons-input name="retirada" type="radio" class="checkbox_cardapio finalizar_retirada" value="1" input-id="1" checked></ons-input></td>';
			etapa_retirada += '<td valign="middle"><label for="1" class="center finalizar_item">Quero receber o pedido no meu endereço</label></td></tr>';
			etapa_retirada += '</tbody></table></ons-list-item>';
		
		}
		
		// Se a retirada no estabelecimento estiver habilitada
		if(sessionStorage.getItem("retirada") == 2){		
		
			etapa_retirada += '<ons-list-item class="cardapio-listagem cardapio-listagem-finalizacao" tappable><table  width="100%" border="0" cellpadding="0" cellspacing="0"><tbody>';
			etapa_retirada += '<tr><td width="30"><ons-input name="retirada" type="radio" class="checkbox_cardapio finalizar_retirada" value="2" input-id="2"></ons-input></td>';
			etapa_retirada += '<td valign="middle"><label for="2" class="center finalizar_item">Irei retirar o pedido no estabelecimento</label></td></tr>';		
			etapa_retirada += '</tbody></table></ons-list-item>';	
		
		}
		
		var retirada_rodape = '<div class="pedido_total"><span class="total">Total: <span class="pedido_valor">R$ '+parseFloat(sessionStorage.getItem("valor_pedido")).toFixed(2).replace(".",",")+'</span></span><br><ons-button class="bt-finalizar-proximo button" onclick="VerificarRetirada(1);">Próximo</ons-button></div>';						
		
		$('.finalizar_pedido').eq(sessionStorage.getItem('finalizacao_classe')).html(etapa_retirada);
		$('.finalizar_pedido_rodape').eq(sessionStorage.getItem('finalizacao_classe')).html("");
		$('.finalizar_pedido_rodape').eq(sessionStorage.getItem('finalizacao_classe')).append(retirada_rodape);
		
	}else
	
	// ETAPA: Seleção de Endereço
	if(etapa == 2){
		
		$("#finalizar-pedido .app_loading").show();
		
		if(sessionStorage.getItem("voucher") == 2){
			var endereco_etapa = 3; // Chama etapa Voucher
		}else{
			var endereco_etapa = 4; // Chama etapa Formas de Pagamento
		}

		// Retorna os endereços do usuário
		$.ajax({
			type: "POST",
			url: URL_WEB_SERVICE+"app/pedido/Finalizar.php?funcao=Enderecos",
			data: {
				clientes_id : sessionStorage.getItem("clientes_id"),
				usuario_id  : localStorage.getItem('app_usuario_id')
			},			
			success: function(data) {
				
				var etapa_endereco = '';
				
				etapa_endereco += '<span class="finalizar_instrucao">Selecione seu endereço atual:</span>';
				
				//etapa_endereco += '<div class="center"><select class="select-2">';								
				
				var total_desabilitados = 0;
				
				// Loop dos endereços ativos
				$.each(data, function(index){										
					
					/* Endereços com select
					etapa_endereco += '<option value='+this.enderecos_id+'>'+this.bairros_nome+', '+this.cidades_nome+' - '+this.estados_nome+'</option><option disabled="disabled">'+this.endereco+', nº '+this.numero+'<br /><span>'+this.enderecos_tipos_nome+', '+this.complemento+', '+this.referencia+'</option>';
					*/
					
					
					if(this.taxa_bairro == null){
						total_desabilitados++;
					}else{
						
						var taxa_bairro = null;
						var taxa_descricao = null;
						if(this.taxa_bairro == 0){
							taxa_descricao = "Taxa de Entrega";
							taxa_bairro = "Grátis";
						}else{
							taxa_descricao = "Taxa de Entrega";
							taxa = this.taxa_bairro;
							taxa_bairro = "R$"+parseFloat(taxa).toFixed(2).replace(".",",");
						}
						
						etapa_endereco += '<ons-list-item class="cardapio-listagem cardapio-listagem-finalizacao" tappable><table  width="100%" border="0" cellpadding="0" cellspacing="0"><tbody>';																			
						etapa_endereco += '<tr><td width="30"><ons-input name="endereco" type="radio" class="checkbox_cardapio finalizar_endereco" onclick="EnderecosAddTaxa('+this.taxa_bairro+')" value='+this.enderecos_id+' input-id="end_'+this.enderecos_id+'"></ons-input></td>';
						etapa_endereco += '<td valign="middle"><label for="end_'+this.enderecos_id+'" class="center finalizar_item"><label for="end_'+this.enderecos_id+'" class="finalizar_end_nome"> '+this.bairros_nome+', '+this.cidades_nome+' - '+this.estados_nome+'</label><br>'+this.endereco+', nº '+this.numero+'<br />'+this.enderecos_tipos_nome+', '+this.complemento+', '+this.referencia+'</label></td>';
						etapa_endereco += '<td width="35" align="right" valign="middle"> <label class="finalizar_taxa" for="end_'+this.enderecos_id+'">'+taxa_descricao+'</label><label class="finalizar_taxa_valor" for="end_'+this.enderecos_id+'">'+taxa_bairro+'</label></td></tr>';
						etapa_endereco += '</tbody></table></ons-list-item>';
																			
					}
										  
				});
				
				if(total_desabilitados > 0){
					etapa_endereco += '<div class="itens_separador_finalizacao"></div><span class="finalizar_instrucao">Endereços não atendidos por este estabelecimento:</span>';
				}
				
				// Loop dos endereços desabilitados
				$.each(data, function(index){										
					
					if(this.taxa_bairro == null){
					
						etapa_endereco += '<ons-list-item class="cardapio-listagem cardapio-listagem-finalizacao cardapio-listagem-disab" tappable><table  width="100%" border="0" cellpadding="0" cellspacing="0"><tbody>';																			
						etapa_endereco += '<tr><td width="30"><ons-input disabled="disabled" name="endereco" type="radio" class="checkbox_cardapio"></ons-input></td>';
						etapa_endereco += '<td valign="middle"><label class="center finalizar_item"><label class="finalizar_end_nome"> '+this.bairros_nome+', '+this.cidades_nome+' - '+this.estados_nome+'</label><br>'+this.endereco+', nº '+this.numero+'<br />'+this.enderecos_tipos_nome+', '+this.complemento+', '+this.referencia+'</label></td></tr>';
						etapa_endereco += '</tbody></table></ons-list-item>';
					
					}
										  
				});				
				
				//etapa_endereco += '</select><br /><br /></div>';					
				
				var endereco_rodape = '<div class="pedido_total"><span class="total">Total: <span class="pedido_valor">R$ '+parseFloat(sessionStorage.getItem("valor_pedido")).toFixed(2).replace(".",",")+'</span></span><br><ons-button class="bt-finalizar-proximo button" onclick="ValidarEndereco('+endereco_etapa+');">Próximo</ons-button></div>';
				
				$('.finalizar_pedido').eq(sessionStorage.getItem('finalizacao_classe')).html(etapa_endereco);
				$('.finalizar_pedido_rodape').eq(sessionStorage.getItem('finalizacao_classe')).html("");
				$('.finalizar_pedido_rodape').eq(sessionStorage.getItem('finalizacao_classe')).append(endereco_rodape);
				
				// Fecha o loading
				$("#finalizar-pedido .app_loading").hide();						
												
			}
		});		
		
	}
	
	// ETAPA: Voucher
	if(etapa == 3){
		
		sessionStorage.setItem("voucher_cod", "");

		sessionStorage.setItem("valor_pedido_desc", 0);		
		
		var etapa_voucher = '';
		
		etapa_voucher += '<span class="finalizar_instrucao">Você possui um cupom de desconto? Caso possua, é só digitar abaixo.</span>';
		
		etapa_voucher+= '<div class="center" id="voucher_botoes"><ons-input id="finalizar_voucher" type="text" placeholder="Cupom" float></ons-input> <ons-button id="botao_voucher" onclick="ValidarVoucher();">OK</ons-button></div><div id="voucher_listagem"></div><ons-button id="botao_voucher_rem" onclick="RemoverVoucher();">Excluir</ons-button>';
		
		var voucher_rodape = '<div class="pedido_total"><span class="total">Total: <span class="pedido_valor">R$ '+parseFloat(sessionStorage.getItem("valor_pedido")).toFixed(2).replace(".",",")+'</span></span><br><ons-button class="bt-finalizar-proximo button" onclick="DescontarVoucher(); myNavigator.pushPage(\'html/finalizar_pedido.html\', {etapa: \''+4+'\'});">Próximo</ons-button></div>';
		
		$('.finalizar_pedido').eq(sessionStorage.getItem('finalizacao_classe')).html(etapa_voucher);
		$('.finalizar_pedido_rodape').eq(sessionStorage.getItem('finalizacao_classe')).html("");
		$('.finalizar_pedido_rodape').eq(sessionStorage.getItem('finalizacao_classe')).append(voucher_rodape);
		
	}
	
	// ETAPA: Forma de Pagamento
	if(etapa == 4){										
		
		// Abre o loading
		$("#finalizar-pedido .app_loading").show();
		
		// Retorna as formas de pagamento do restaurante
		$.ajax({
			type: "POST",			
			url: URL_WEB_SERVICE+"app/pedido/Finalizar.php?funcao=FormasPagamento",
			data: {
				clientes_id: sessionStorage.getItem("clientes_id")
			},			
			success: function(data) {		
				
				var etapa_pagamento = '';
				
				etapa_pagamento += '<span class="finalizar_instrucao">Selecione a forma de pagamento.</span>';																						
				
				// Loop dos endereços
				$.each(data, function(index){										
					
					var pg_checked  = '';
					var pg_dinheiro = 'onclick="FinalizarPgDinheiro(1)"';
					var pg_dinheiro_troco = '';
					if(this.pg_id == 1){
						//pg_checked = 'checked';
						pg_checked = '';
						pg_dinheiro = 'onclick="FinalizarPgDinheiro(0)"';
						// Cria o campo troco que recebe o valor, caso o usuário preencha
						pg_dinheiro_troco += '<span id="pgto_troco"></span>';
					}								
					
					etapa_pagamento += '<ons-list-item class="cardapio-listagem cardapio-listagem-finalizacao" tappable><table  width="100%" border="0" cellpadding="0" cellspacing="0"><tbody>';																			
					etapa_pagamento += '<tr><td width="30"><ons-input name="forma" type="radio" class="checkbox_cardapio finalizar_pagamento" '+pg_dinheiro+' value='+this.pg_id+' input-id="pg_'+this.pg_id+'" '+pg_checked+'></ons-input></td>';
					etapa_pagamento += '<td valign="middle"><label for="pg_'+this.pg_id+'" class="center finalizar_item">'+this.pg_nome+pg_dinheiro_troco+'</label></td>';
					etapa_pagamento += '<td width="35" align="right" valign="middle"> <label for="pg_'+this.pg_id+'" class="center finalizar_item_img" style="background:url(http://www.querocomeremcasa.com.br/sistema/modulos/imagens/'+this.pg_img+');"></label></td></tr>';
					etapa_pagamento += '</tbody></table></ons-list-item>';									
										  
				});
			
				var pagamento_rodape = '<div class="pedido_total"><span class="total">Total: <span class="pedido_valor">R$ '+parseFloat(sessionStorage.getItem("valor_pedido")).toFixed(2).replace(".",",")+'</span></span><br><ons-button class="bt-finalizar-proximo button" onclick="ValidarPg();">Próximo</ons-button></div>';
				
				$('.finalizar_pedido').eq(sessionStorage.getItem('finalizacao_classe')).html(etapa_pagamento);
				$('.finalizar_pedido_rodape').eq(sessionStorage.getItem('finalizacao_classe')).html("");
				$('.finalizar_pedido_rodape').eq(sessionStorage.getItem('finalizacao_classe')).append(pagamento_rodape);
				
				// Fecha o loading
				$("#finalizar-pedido .app_loading").hide();		
				
			}
		});			
		
	}
	
	// ETAPA: Observação
	if(etapa == 5){

		var etapa_obs = '';
		
		etapa_obs += '<span class="finalizar_instrucao">Adicione uma observação caso necessário.</span>';
		
		etapa_obs += '<textarea class="txt-mensagem textarea--transparent" id="finalizar_obs" placeholder="Mensagem" float></textarea>';
		
		var obs_rodape = '<div class="pedido_total"><span class="total">Total: <span class="pedido_valor">R$ '+parseFloat(sessionStorage.getItem("valor_pedido")).toFixed(2).replace(".",",")+'</span></span><br><ons-button class="bt-finalizar-proximo button" onclick="EnviarPedido();">Enviar Pedido</ons-button></div>';
		
		$('.finalizar_pedido').eq(sessionStorage.getItem('finalizacao_classe')).html(etapa_obs);
		$('.finalizar_pedido_rodape').eq(sessionStorage.getItem('finalizacao_classe')).html("");
		$('.finalizar_pedido_rodape').eq(sessionStorage.getItem('finalizacao_classe')).append(obs_rodape);

		
	}
	
}